echo '++++++++++++++++++++++++++++++++++++++++++++++++'
echo '+++++         BayesShift: CalTran          +++++'
echo '++++++++++++++++++++++++++++++++++++++++++++++++'

for seed in 0
do
  echo "Running exp with $seed"
  python main.py --gpu_ids 0 \
        --data_name CalTran \
        --data_path '/home/haohuawang/blmc/data/CalTran' \
        --num_classes 2 \
        --data_size '[3, 84, 84]' \
        --source-domains 20 \
        --intermediate-domains 8 \
        --target-domains 6 \
        --mode train \
        --model-func ResNet18 \
        --feature-dim 512 \
        --epochs 100 \
        --iterations 200 \
        --train_batch_size 32 \
        --eval_batch_size 32 \
        --test_epoch -1 \
        --algorithm BayesShift \
        --zc-dim 64 \
        --zw-dim 64 \
        --seed $seed \
        --save_path './logs/CalTran/BayesShift' \
        --record
  echo "=================="
done




